#include "oaiaction.h"
#include "resumptiontoken.h"

class listsetsaction : public oaiaction
{
 public:
  listsetsaction() : oaiaction("ListSets") { };
  virtual bool validateAction(recptproto *protocol, oaiargs &params);
  bool output_content(ostream &output, recptproto *protocol, text_tset &collections, oaiargs &params);
 protected:
  int  setNumber;
  int  setsOutput;
  ResumptionToken *replyToken;
  bool output_content(ostream &output, recptproto *protocol, oaiargs &params);
  void recurse_content(ostream &output, recptproto *protocol, text_t &collection, const text_t &classifier, 
		       text_t setHierarchy, int startSet);
};
